<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Nº 4</title>
	<script type="text/javascript">
		var a=[1,-2,3,-4,5];

		function suma(a1){
			var pos=[];
			var neg=[];
			var r=0;
			var r1=0;

			for(var c=0;c<a1.length;c++){
				if(a1[c]>0){
					pos.push(a1[c]);
				}else{
					neg.push(a1[c]);
				}
			}

			for(var i=0;i<pos.length;i++){
				 r+=pos[i];
			}
			for(var e=0;e<neg.length;e++){
				r1+=neg[e];
			}
			document.write("La suma de los numeros positivos es: " + r + "<br>");
			document.write("La suma de los numeros negativos es: " + r1 + "<br>");
		};

		suma(a);

	</script>
</head>
<body>
	
</body>
</html>